package com.nantian.cloud.jljc.service.impl;

import com.nantian.cloud.jljc.entity.TReportUnitenergy;
import com.nantian.cloud.jljc.mapper.TReportUnitenergyMapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.jljc.service.TReportUnitenergyService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 报表1-3能耗指标表 服务实现类
 * @since 2020-09-16
 * @author stz
 */
@Service("tReportUnitenergyService")
public class TReportUnitenergyServiceImpl extends ServiceImpl<TReportUnitenergyMapper, TReportUnitenergy> implements TReportUnitenergyService {

    @Override
    public List<TReportUnitenergy> getUnitenergyByReportId(Long reportId) {
        return baseMapper.getUnitenergyByReportId(reportId);
    }

    @Override
    public List<TReportUnitenergy> initialize(List<Long> ids,Long reportId) {
        return baseMapper.initialize(ids,reportId);
    }

    @Override
    public List<TReportUnitenergy> getByIdAndPrevId(Long id, Long prevId) {
        return baseMapper.getByIdAndPrevId(id,prevId);
    }

    @Override
    public String getQuotaAverage(int year, String type, Long quotaId) {
        return baseMapper.getQuotaAverage(year,type,quotaId);
    }
}
